MantisBT

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001420XdebugCode Coveragepublic2017-04-17 20:432017-12-02 18:36
Reporterderick 
Assigned Toderick 
PrioritynormalSeverityminorReproducibilityhave not tried
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version2.6.0dev 
Target Version2.6.0Fixed in Version2.6.0alpha1 
Summary0001420: Handle PHP 7.2's new methods for switch/case
DescriptionPHP 7.2 has a jump table for switch/case statements if all cases are either string or long.

Add code to code coverage and patch coverage to handle this new mode.

See https://github.com/php/php-src/pull/2427/files [^]
TagsNo tags attached.
Operating System
PHP Version7.2-dev
Attached Files

- Relationships

-  Notes
There are no notes attached to this issue.

- Issue History
Date Modified Username Field Change
2017-04-17 20:43 derick New Issue
2017-04-17 20:45 derick PHP Version 7.1-dev => 7.2-dev
2017-11-01 21:24 derick Status new => closed
2017-11-01 21:24 derick Assigned To => derick
2017-11-01 21:24 derick Resolution open => fixed
2017-11-01 21:24 derick Fixed in Version => 2.6.0dev
2017-12-02 15:57 derick Fixed in Version 2.6.0dev => 2.6.0alpha1
2017-12-02 18:34 derick Target Version 2.6.0dev => 2.6.0alpha1
2017-12-02 18:36 derick Target Version 2.6.0alpha1 => 2.6.0


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker